CREATE OR REPLACE trigger fineamt
AFTER UPDATE on issue
 FOR EACH ROW
 DECLARE
   days number(2);
   fineamt number(5);
 BEGIN
 days:=:new.return_date - :old.issue_date;
 IF days>7 THEN
 /* the number of days above 7 multiplied by fine amount per day gives the total fine */
    fineamt:= (days - 7)* 10;
    insert into fine values(:old.roll,fineamt);
  END IF;
 END fineamt;
