CREATE OR REPLACE TRIGGER instead_update_emp_dept 
INSTEAD OF UPDATE ON emp_dept
FOR EACH ROW
BEGIN
IF :old.ename ! = :new.ename THEN
UPDATE emp SET ename = :new.ename WHERE ename = :old.ename;
ELSEIF :old.deptno != :new.deptno THEN
UPDATE dept SET deptno = :new.deptno WHERE deptno = :old.deptno;
ELSEIF :old.dname != :new.dname THEN
UPDATE dept SET dname = :new.dname WHERE dname = :old.dname;
ELSEIF :old.loc != :new.loc THEN
UPDATE dept SET loc = :new.loc WHERE loc = :old.loc;
END IF;
END;
