BEGIN
DECLARE
vjob VARCHAR2(15);
veno varchar2(5);
vname VARCHAR2(15);
vsal NUMBER(8,2);
INVALID_SALARY EXCEPTION;
BEGIN
SELECT empno,ename,sal into veno,vname,vsal from emp where empno='MANAGER';
IF vsal< 15000 THEN
RAISE INVALID_SALARY;
ELSIF vsal between 15000 and 20000 THEN
UPDATE emp 
SET sal=vsal+vsal*.15
WHERE job='MANAGER';
ELSE
DBMS_OUTPUT.PUT_LINE('No salary hike');
END IF;
EXCEPTION
WHEN INVALID_SALARY THEN
DBMS_OUTPUT.PUT_LINE('Salary cannot be less than 15000');
WHEN OTHERS THEN
DBMS_OUTPUT.PUT_LINE('Exception handled in inner block and propagated to the outer block');
RAISE TOO_MANY_ROWS;
END;
EXCEPTION
WHEN TOO_MANY_ROWS THEN
DBMS_OUTPUT.PUT_LINE('Error: SELECT statement returns more than one row');
END;
