DECLARE
vjob VARCHAR2(15);
veno NUMBER(5);
vname VARCHAR2(15);
vsal NUMBER(8,2);
Begin
DECLARE
INVALID_SALARY EXCEPTION;
BEGIN
SELECT empno,ename,sal into veno,vname,vsal from emp where job='MANAGER';
IF vsal< 15000 THEN
RAISE INVALID_SALARY;
ELSIF vsal between 15000 and 20000 THEN
UPDATE emp 
SET sal=vsal+vsal*.15
WHERE job='MANAGER';
ELSE
DBMS_OUTPUT.PUT_LINE('No salary hike');
END IF;
EXCEPTION
WHEN INVALID_SALARY THEN
DBMS_OUTPUT.PUT_LINE('Salary cannot be less than 15000');
END;
EXCEPTION
WHEN TOO_MANY_ROWS THEN
DBMS_OUTPUT.PUT_LINE('Error: Select statement returns multiple rows');
END;
