DECLARE
CURSOR emp_cur IS SELECT empno, ename, deptno FROM emp FOR UPDATE;
emp_cur_rec emp_cur%ROWTYPE;
BEGIN
OPEN emp_cur;
DBMS_OUTPUT.PUT_LINE('Employee Number' ||' Employee Name'||
' Department Number');
LOOP
FETCH emp_cur INTO emp_cur_rec;
EXIT WHEN emp_cur%NOTFOUND;
DBMS_OUTPUT.PUT_LINE(RPAD(emp_cur_rec.empno,16)||RPAD(emp_cur_rec.ename,14)||RPAD(emp_cur_rec.deptno,10));
IF emp_cur_rec.deptno=50 THEN
DELETE FROM emp WHERE CURRENT OF emp_cur;
END IF;
END LOOP;
CLOSE emp_cur;
OPEN emp_cur;
DBMS_OUTPUT.PUT_LINE(' After deleting the records having deptno=50');
DBMS_OUTPUT.PUT_LINE('Employee Number' ||' Employee Name'||
' Department Number');
LOOP
FETCH emp_cur INTO emp_cur_rec;
EXIT WHEN emp_cur%NOTFOUND;
DBMS_OUTPUT.PUT_LINE(RPAD(emp_cur_rec.empno,16)||RPAD(emp_cur_rec.ename,14)||RPAD(emp_cur_rec.deptno,10));
END LOOP;
CLOSE emp_cur;
END;
