CREATE OR REPLACE PACKAGE BODY sample_packg AS
function check_sal (empid IN NUMBER)
RETURN NUMBER
IS
	e_sal NUMBER(10);
BEGIN
 	SELECT sal INTO e_sal WHERE empno = empid;
RETURN (e_sal)
EXCEPTION
	WHEN NO_DATA_FOUND THEN
		RAISE_APPLICATION_ERROR (-201200, No Record for this Employee ID);
END check_sal;
procedure addnewdept_proc(dept_no IN NUMBER, dept_name IN VARCHAR, dept_loc IN VARCHAR) AS
BEGIN
INSERT INTO dept VALUES (dept_no, dept_name, dept_loc);
END addnewdept_proc;
END sample_packg;
