CREATE OR REPLACE TRIGGER emp_audit
BEFORE INSERT OR UPDATE OR DELETE ON employee
BEGIN
  IF INSERTING THEN
       INSERT INTO emp_insert_log VALUES (:new.ID, :new.DEPTNO);
  END IF;
  IF UPDATING THEN 
       INSERT INTO emp_update_log VALUES (:old.ID, :old.DEPTNO);
  END IF;
  IF DELETING THEN
       INSERT INTO emp_delete_log VALUES (:old.ID, :old.DEPTNO);
  END IF;
END;
