CREATE TABLE supplier
 (
  s_id NUMBER(5) PRIMARY KEY,
  s_lname VARCHAR2(15),
  s_fname VARCHAR2(15),
  s_address VARCHAR2(30),
  s_city VARCHAR2(20) DEFAULT 'Delhi' CHECK (s_city in ('Delhi','Noida','Hyderabad', 'Bangalore','Chandigarh')),
  s_state VARCHAR2(20) DEFAULT 'Delhi',
  s_phone VARCHAR2(15) NOT NULL UNIQUE,
  CONSTRAINT u_key UNIQUE (s_address, s_city)
 );
