CREATE TABLE supplier
 (
  s_id NUMBER(5) CONSTRAINT supplier_p_key PRIMARY KEY,
  s_lname VARCHAR2(15),
  s_fname VARCHAR2(15),
  s_address VARCHAR2(30),
  s_city VARCHAR2(20) CONSTRAINT supplier_chk
  CHECK (s_city in('Delhi','Noida','Hyderabad', 'Bangalore','Chandigarh')),
  s_state VARCHAR2(20) DEFAULT 'Delhi',
  s_phone VARCHAR2(15) CONSTRAINT supplier_u_key NOT NULL UNIQUE,
  CONSTRAINT supplier_composite_u_key UNIQUE (s_address,s_city)
 );
