CREATE OR REPLACE PACKAGE BODY emp_packg
AS
username VARCHAR2;
login_dt DATE;
function calculatesal_funct(empid IN NUMBER)
RETURN NUMBER
IS
 	bal NUMBER(10,2);
BEGIN
	SELECT (sal + 500) INTO bal FROM emp WHERE empno = empid;
RETURN (bal);
EXCEPTION
	WHEN NO_DATA_FOUND THEN
		RAISE_APPLICATION_ERROR (-201300, 'No employee Found for this ID');
END calculatesal_funct;
procedure changedeptname_proc(dept_no IN NUMBER, dept_name IN VARCHAR)
AS
BEGIN
	UPDATE dept SET dname = dept_name WHERE deptno = dept_no;
END changedeptname_proc;
BEGIN
	SELECT user, sysdate INTO username, login_dt FROM dual;
END emp_packg;
